Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security.authentication
Class DeferredAuthentication

    java.lang.Object
      org.eclipse.jetty.security.authentication.DeferredAuthentication

All Implemented Interfaces:
  Authentication, Authentication.Deferred

    public class DeferredAuthentication

extends java.lang.Object
implements Authentication.Deferred

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication
`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

Field Summary
`protected Authenticator` | `_authenticator`

Fields inherited from interface org.eclipse.jetty.server.Authentication
`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

Constructor Summary
`DeferredAuthentication(Authenticator authenticator)`

Method Summary
`Authentication` | `authenticate(ServletRequest request)` Authenticate if possible without sending a challenge.
`Authentication` | `authenticate(ServletRequest request, ServletResponse response)` Authenticate and possibly send a challenge.
`IdentityService` | `getIdentityService()` Get the identityService.
`java.lang.Object` | `getPreviousAssociation()`
`boolean` | `isDeferred(HttpServletResponse response)`
`Authentication` | `login(java.lang.String username, java.lang.String password)` Login with the LOGIN authenticator
`void` | `setIdentityService(IdentityService identityService)` Set the identityService.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _authenticator

    protected final Authenticator _authenticator

Constructor Detail

### DeferredAuthentication

    public DeferredAuthentication(Authenticator authenticator)

Method Detail

### getIdentityService

    public IdentityService getIdentityService()

  Get the identityService.

  Returns:
    the identityService

### setIdentityService

    public void setIdentityService(IdentityService identityService)

  Set the identityService.

  Parameters:
    `identityService` - the identityService to set

### authenticate

    public Authentication authenticate(ServletRequest request)

  Description copied from interface: `Authentication.Deferred`
  Authenticate if possible without sending a challenge. This is used to check credentials that have been sent for non-manditory authentication.

  Specified by:
    `authenticate` in interface `Authentication.Deferred`
  Returns:
    The new Authentication state.
  See Also:
    `Authentication.Deferred.authenticate(ServletRequest)`

### authenticate

    public Authentication authenticate(ServletRequest request,
                                       ServletResponse response)

  Description copied from interface: `Authentication.Deferred`
  Authenticate and possibly send a challenge. This is used to initiate authentication for previously non-manditory authentication.

  Specified by:
    `authenticate` in interface `Authentication.Deferred`
  Returns:
    The new Authentication state.
  See Also:
    `Authentication.Deferred.authenticate(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`

### login

    public Authentication login(java.lang.String username,
                                java.lang.String password)

  Description copied from interface: `Authentication.Deferred`
  Login with the LOGIN authenticator

  Specified by:
    `login` in interface `Authentication.Deferred`
  Returns:
    The new Authentication state
  See Also:
    `Authentication.Deferred.login(java.lang.String, java.lang.String)`

### getPreviousAssociation

    public java.lang.Object getPreviousAssociation()

### isDeferred

    public boolean isDeferred(HttpServletResponse response)

  Parameters:
    `response` -
  Returns:
    true if this response is from a deferred call to `authenticate(ServletRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.